--- a/.profile.common
+++ b/.profile.common
@@ -15,6 +15,10 @@ if [ -d /opt/homebrew ]; then
eval "$(/opt/homebrew/bin/brew shellenv)"
fi
+if [ -x ~/.local/bin/mise ]; then
+ eval "$(mise activate ${ZSH_NAME:-bash})"
+fi
+
if [ -d ~/.asdf ]; then
source ~/.asdf/asdf.sh
fi
--- a/bin/homedir-setup
+++ b/bin/homedir-setup
@@ -21,6 +21,10 @@ source .asdf/asdf.sh
asdf plugin update --all
+if ! [[ "$(uname -m)" =~ "i.86" ]]; then
+ curl -sS 'https://mise.run/' | sh
+fi
+
bin/setup-man || :
# Get rid of older stuff